[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator +(Tvector4_double, Double): Tvector4_double

Add scalar to four-dimensional double precision vector

## Declaration

Source position: matrix.pp line 415

`operator operator +(Tvector4_double, Double): Tvector4_double(`
`const x: Tvector4_double;`
`y: Double`
`):Tvector4_double;`

## Description

This operator allows you to add a scalar value to a vector. The scalar is added to all elements of the vector, the result is returned as a new vector.

Documentation generated on: Feb 26 2014